+ Reply to Thread
Results 1 to 4 of 4
  1. #1
    Forum Newbie
    Discipline
    Civil
    Using
    AutoCAD 2016
    Join Date
    Mar 2018
    Posts
    2

    Default AutoLISP program for grouping

    Registered forum members do not see this ad.

    rectangle.jpgGood afternoon Everyone,

    I have to do a project on AutoLISP and I'm new programming on this. Please help me with some recommendations about how to start and where I can find some tutorials for that.
    Attachment 63496
    I have a lot of polylines with the form of a rectangle. I want to do a program able to group them below certain parameters such as:

    -Distance between one polyline and other.
    -Area the rectangle have.

    I receive all your comments.

    Thank you.

  2. #2
    Super Member
    Computer Details
    ronjonp's Computer Details
    Operating System:
    Windows 10
    Using
    AutoCAD 2018
    Join Date
    Apr 2009
    Location
    Colorado
    Posts
    948

    Default

    Perhaps THIS ?

  3. #3
    Forum Newbie
    Discipline
    Civil
    Using
    AutoCAD 2016
    Join Date
    Mar 2018
    Posts
    2

    Default

    Quote Originally Posted by ronjonp View Post
    Perhaps THIS ?
    No, Let's say I have a lot of rectangles that are not necessarily one next to the other. I just have a lot of them in the drawing and I need to group based on the conditions I mentioned before.

    It is a good idea to group them that way, but it could be just drawing a circle that encloses them.

    Thank you.

  4. #4
    Quantum Mechanic BIGAL's Avatar
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,792

    Default

    Registered forum members do not see this ad.

    Here is a real quick answer to one of your questions. just google Vl lisp commands.

    Code:
    (setq obj (vlax-ename->vla-object (car (entsel "\nPick "))))
    (alert (strcat "The area is " (rtos (vla-get-area obj) 2 2)))
    The distance between two plines is a little more complicated a simple do they touch is "VLA-intersectwith obj1 obj2" returns true if the touch. Will leave closestpointto to another, bit of a hint there.
    A man who never made mistakes never made anything

Similar Threads

  1. hello I'm new here and need someone to make for me autolisp program
    By DraftJade in forum AutoLISP, Visual LISP & DCL
    Replies: 7
    Last Post: 29th Oct 2017, 03:38 pm
  2. help with a simple Autolisp program
    By popey3 in forum AutoLISP, Visual LISP & DCL
    Replies: 21
    Last Post: 26th Dec 2012, 08:38 am
  3. Help to correct autolisp program
    By fathihvac in forum AutoLISP, Visual LISP & DCL
    Replies: 6
    Last Post: 26th Jul 2011, 04:12 pm
  4. How to load an AutoLISP program
    By AutoCAD Tips Blog in forum AutoCAD RSS Feeds
    Replies: 0
    Last Post: 5th Jul 2011, 02:40 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts